# European Project TAO (IST-2004-026460) - www.tao-project.eu
# RDBToOnto: Generating ontologies from relational databases
# Copyright 2008 Dassault Aviation

export CLASSPATH=rdbtoonto-1.2.jar:libs/commons-collections-3.2.jar:libs/commons-configuration-1.4.jar:libs/commons-lang-2.3.jar:libs/commons-logging-1.1.1.jar:libs/icu4j_3_4.jar:libs/iri.jar:libs/jena.jar:libs/log4j-1.2.12.jar:libs/xercesImpl.jar:libs/xml-apis.jar:libs/poi-3.0.1-FINAL-20070705.jar:libs/mysql-connector-java-5.1.6-bin.jar:libs/ojdbc14.jar:libs/ojdbc14_g.jar

export JAVA=java

export IMG=" -Dgui.img=img "
export MEM="-Xmx950m -Xms950m"
export OPTS=$MEM$IMG
export GUI=-none
export CONF="./conf/RDBToOnto.cfg"
export PROJ=

if [ $# -ne 0 ]; then
if [ "$1" == "-gui" ] ||  [ "$1" == "-nogui" ]; then
#if [ "$1" == "-gui" ]; then
export GUI=$1
if [ "$2" == "-cfg" ]; then
export CONF=$3
else
export PROJ=$2
fi
else
if [ "$1" == "-cfg" ]; then
export CONF=$2
export PROJ=$3
fi
fi
fi
$JAVA $OPTS rdbtoonto.RDBToOnto $GUI $CONF $PROJ

