echo off
REM European Project TAO (IST-2004-026460) - www.tao-project.eu
REM RDBToOnto: Generating ontologies from relational databases
REM Copyright 2008 Dassault Aviation

SET CLASSPATH= ;aroundOneTable.jar;../../../rdbtoonto-1.2.jar;../../../libs/commons-collections-3.2.jar;../../../libs/commons-configuration-1.4.jar;../../../libs/commons-lang-2.3.jar;../../../libs/commons-logging-1.1.1.jar;../../../libs/icu4j_3_4.jar;../../../libs/iri.jar;../../../libs/jena.jar;../../../libs/log4j-1.2.12.jar;../../../libs/xercesImpl.jar;../../../libs/xml-apis.jar;../../../libs/poi-3.0.1-FINAL-20070705.jar;../../../libs/mysql-connector-java-5.1.6-bin.jar;../../../libs/ojdbc14.jar;../../../libs/ojdbc14_g.jar

SET MEM=-Xmx950m -Xms950m 

SET IMG=-Dgui.img=img

SET JAVA=java

SET OPTS= %MEM% %IMG%

if a%1==a-gui goto withGui
if a%1==a-nogui goto withoutGui
if a%1==a-cfg goto newCfg
:baseCfg
%JAVA% %OPTS% rdbtoonto.RDBToOnto -none conf\RDBToOnto.cfg %1
goto end
:newCfg
%JAVA% %OPTS% rdbtoonto.RDBToOnto -none %2 %3
goto end

:withGui
if a%2==a-cfg goto guiNewCfg
:guiBaseCfg
%JAVA% %OPTS% rdbtoonto.RDBToOnto -gui conf\RDBToOnto.cfg %2
goto end
:guiNewCfg
%JAVA% %OPTS% rdbtoonto.RDBToOnto -gui %3 %4
goto end

:withoutGui
if a%2==a-cfg goto noguiNewCfg
:noguiBaseCfg
%JAVA% %OPTS% rdbtoonto.RDBToOnto -nogui conf\RDBToOnto.cfg %2
goto end
:noguiNewCfg
%JAVA% %OPTS% rdbtoonto.RDBToOnto -nogui %3 %4
goto end

:end



