package rdbtoonto.gui;
import java.awt.GridBagConstraints;
import java.awt.Insets;

import javax.swing.BoxLayout;
import javax.swing.JComboBox;
import javax.swing.JCheckBox;
import javax.swing.JLabel;
import javax.swing.JOptionPane;
import javax.swing.JPanel;
import javax.swing.border.EmptyBorder;


import rdbtoonto.converters.AroundOneTable;

public class AroundOneTableGui_GOptPanel extends BaseGlobalOptionPanel {
	private static JComboBox _TableSelector;
	private static JCheckBox _InstSwitch;

	public AroundOneTableGui_GOptPanel() {
		super();
		
	    GridBagConstraints c = new GridBagConstraints();

	    EmptyBorder border = new EmptyBorder( new Insets( 0, 0, 0, 10 ) );
	    EmptyBorder border1 = new EmptyBorder( new Insets( 0, 20, 0, 10 ) );

	    c.insets = new Insets( 2, 2, 2, 2 );

	    c.anchor = GridBagConstraints.WEST;
	    
	    _InstSwitch = new JCheckBox("Instances");
	    _InstSwitch.setToolTipText("Populate the ontology");
		c.gridx = 0;
		
	    add(_InstSwitch,c);
	    
		c.gridx = 1;
	    JPanel tablePanel = new JPanel();
	    tablePanel.setLayout(new BoxLayout(tablePanel,BoxLayout.X_AXIS));
	    JLabel lbl1 = new JLabel( "Source Table" );
	    lbl1.setToolTipText("Select the source table");
	    lbl1.setBorder(border);
	    tablePanel.add(lbl1);
	   
	    _TableSelector = new JComboBox();
	    _TableSelector.setPreferredSize( R2OGui.longField );
	    _TableSelector.setToolTipText("Select the source table");
	    tablePanel.add(_TableSelector);
	    add(tablePanel,c);
}

	public void	displayInitValues() {
		super.displayInitValues();
		
		_InstSwitch.setSelected(AroundOneTable._WithInstances);
		_TableSelector.addItem("-none-");
		R2OGui.initWithTableNames(_TableSelector);
	}

	public boolean getValuesFromGui() {
		super.getValuesFromGui();
		AroundOneTable._WithInstances = _InstSwitch.isSelected();
		AroundOneTable._SourceTabName = (String)_TableSelector.getSelectedItem();
		return true;
	}

	public void setProjectEnabled(boolean enabled) {
		super.setProjectEnabled(enabled);
		_InstSwitch.setEnabled(enabled);
		_TableSelector.setEnabled(enabled);
	}
	
}
